------------------------------------------------------------------------------------
--Name:  	juqing3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-06-05
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(360, 554)
local Player_1 = CppScriptMgr:QueryHero()
Player_1:SetPos(358, 558)
Player_1:SetDir(5)
Player_1:SetName("")
local Player_3 = CppScriptMgr:AddSimplePlayer(1101150, 362, 555, "", 0, 0)
Player_3:SetHide(1)
Player_3:SetZoomPercent(120)
local Player_2 = CppScriptMgr:AddPlayer(519, 362, 555, "", 0, 0)
Player_2:SetDir(7)
CppScriptMgr:WaitMilSec(370)
Player_2:SetAction(160)
CppScriptMgr:WaitMilSec(130)
Player_2:Say("Demon Lord will eventually rule...", 1500)
CppScriptMgr:WaitMilSec(1500)
local Effect_1 = CppScriptMgr:AddEffect("taoist-huohuan", 362, 555, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
Player_2:SetHide(1)
CppScriptMgr:WaitMilSec(500)
Player_3:SetHide(0)
local Effect_2 = CppScriptMgr:AddEffect("tulip-flower-r-99", 362, 555, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("Ancenia, are you alright?", 1000)
CppScriptMgr:WaitMilSec(120)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(870)
Player_3:SetAction(170)
Player_3:Say("I`m sorry. I can`t control this power.", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_3:Say("I can feel the demon lord trying to take over my body!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("Hold on! I`ll find a way to save you!", 1500)
Player_1:SetAction(190)
CppScriptMgr:WaitMilSec(1370)
Player_3:SetAction(1111)
CppScriptMgr:WaitMilSec(80)
Player_3:Say("No! Please! Allow me to complete my final mission.", 1500)
CppScriptMgr:WaitMilSec(2500)
local Effect_3 = CppScriptMgr:AddEffect("CSGX_zi", 362, 555, 33, 1, 1, 1)
Effect_3:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(1500)
Player_3:SetHide(1)
local Effect_4 = CppScriptMgr:AddEffect("zf2-e233", 362, 555, 33, 1, 1, 1)
local Effect_5 = CppScriptMgr:AddEffect("hunpo02", 358, 558, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(250)
CppScriptMgr:ClearEffect(Effect_3)
CppScriptMgr:WaitMilSec(750)
local Effect_6 = CppScriptMgr:AddEffect("eidolon", 358, 558, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("Is this the Seed of Life from the World Tree?", 1500)
CppScriptMgr:WaitMilSec(790)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1770)
Player_1:Say("Thank you, Ancenia... May this land regain its vitality.", 1500)
CppScriptMgr:WaitMilSec(3940)